# Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton > Class Template Reference

`#include <Association.h>`

Inheritance diagram for Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >:

[legend]

List of all members.

## Public Types

typedef Gtk::SpinButton | type_widget

## Public Member Functions

void | connect_widget (Callback widget_changed)
void | load_widget (std::auto_ptr< Glib::Error > &error)
void | save_widget (std::auto_ptr< Glib::Error > &error)
| Association (const Glib::ustring &full_key, type_widget &widget, bool instant)

### template<>
class Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >

## Member Typedef Documentation

typedef Gtk::SpinButton Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >::type_widget

## Member Function Documentation

void Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >::connect_widget | ( | Callback | widget_changed | ) | `[inline]`

References Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

void Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >::load_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[inline, virtual]`

Implements Bakery::Conf::AssociationBase.

References Bakery::Conf::AssociationBase::get_conf_client(), Bakery::Conf::AssociationBase::get_key(), and Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

void Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >::save_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[inline, virtual]`

Implements Bakery::Conf::AssociationBase.

References Bakery::Conf::AssociationBase::get_conf_client(), Bakery::Conf::AssociationBase::get_key(), and Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >::Association | ( | const Glib::ustring & | full_key,
|  | type_widget & | widget,
|  | bool | instant |
| ) |  |  | `[inline]`

The documentation for this class was generated from the following file:

- Association.h